%global momorel 8

Summary:        An event-driven init system
Name:           upstart
Version:        0.3.9
Release:        %{momorel}m%{?dist}
License:        GPLv2+
Group:		System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Conflicts:      SysVinit > 2.86-2m.mo5
#
# http://www.netsplit.com/blog/work/canonical/upstart.html
URL:            http://upstart.ubuntu.com
Source0:        http://upstart.ubuntu.com/download/0.3/upstart-%{version}.tar.bz2
Source1:	events.5
Patch0:         upstart-gcc43.patch
Patch1:         upstart-force-on-shutdown-reboot.patch
Patch2:         upstart-tty-stack.patch
Patch3:         upstart-rpm.patch
Patch4:         upstart-momonga-buglist.patch
Patch5:         upstart-telinit-u.patch
Patch6:	        upstart-initctl-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: SysVinit < 2.86-2m, sysvinit < 2.86-2m
Provides: SysVinit = 2.86-3m, sysvinit = 2.86-3m
BuildRequires:  gettext
Requires:  mdadm
Requires:  sysvinit-tools
Requires:  initscripts >= 8.74

%description
Upstart is an event-based replacement for the /sbin/init daemon which
handles starting of tasks and services during boot, stopping them
during shutdown and supervising them while the system is running.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -ivf 
%configure --enable-compat=sysv --sbindir=/sbin --libdir=/%{_lib}
make %{?_smp_mflags}

#%%configure \
#./configure \
#    --exec-prefix=/ \
#    --prefix=%{_prefix} \
#    --sbindir=/sbin \
#    --libdir=/%{_lib} \
#    --sysconfdir=%{_sysconfdir} \
#    --includedir=%{_includedir} \
#    --mandir=%{_mandir} \
#    --enable-compat
#%%{__make}
#%%{__make} check
#make

%install
%{__rm} -rf %{buildroot}
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_mandir}/man5
install -m 644 %{SOURCE1} %{buildroot}/%{_mandir}/man5/events.5

# libupstart and libnih aren't shipped
rm -f %{buildroot}/%{_lib}/libupstart.*
rm -f %{buildroot}/%{_lib}/libnih.*
rm -f %{buildroot}/%{_includedir}/libnih.h
rm -f %{buildroot}/%{_includedir}/libupstart.h
rm -rf %{buildroot}/%{_includedir}/nih
rm -rf %{buildroot}/%{_includedir}/upstart
rm -rf %{buildroot}/%{_datadir}/aclocal/compiler.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/linker.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/misc.m4

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%doc TODO
%doc HACKING
%{_sysconfdir}/event.d/
%config(noreplace) %{_sysconfdir}/event.d/logd
/sbin/halt
/sbin/init
/sbin/initctl
/sbin/logd
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/start
/sbin/status
/sbin/stop
/sbin/telinit
%{_mandir}/man5/events.5.*
%{_mandir}/man8/halt.8.*
%{_mandir}/man8/init.8.*
%{_mandir}/man8/initctl.8.*
%{_mandir}/man8/logd.8.*
%{_mandir}/man8/poweroff.8.*
%{_mandir}/man8/reboot.8.*
%{_mandir}/man8/runlevel.8.*
%{_mandir}/man8/shutdown.8.*
%{_mandir}/man8/start.8.*
%{_mandir}/man8/status.8.*
%{_mandir}/man8/stop.8.*
%{_mandir}/man8/telinit.8.*


%changelog
* Sat May  2 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.9-8m)
- add autoreconf
-- need libtool-2.2.x

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.9-7m)
- rebuild against rpm-4.6

* Sat May 17 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.9-6m)
- edit spec removing Conflict SysVinit

* Fri May  2 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.9-5m)
- add Requires:  mdadm
- add Requires:  sysvinit-tools
- add Requires:  initscripts >= 8.74

* Thu May  1 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.9-4m)
- merge Fedora 9-Preview to Momonga

* Fri Apr 25 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-19
- with the merge of event-compat-sysv, move the sysvinit obsoletes/provides here

* Thu Apr 24 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-18
- fix some man page typos (#444008, <archimerged@gmail.com>)

* Wed Apr 09 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-17
- Added list of stock events to events(5)

* Tue Apr 08 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-16
- Add telinit u support

* Fri Apr 04 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-15
- Add a events(5) manpage that describes event syntax

* Thu Apr 03 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-14
- Change bug report email address to fedora-devel-list@redhat.com

* Thu Mar 14 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-13
- Ignore rpm temporary files of the foo;<somehex> format
- Make ignores of .rpm{new,orig,save} match only at the end of the name

* Wed Mar 13 2008 Bill Nottingham <notting@redhat.com> - 0.3.9-12
- forgot about rpmorig too (ugh)

* Wed Mar 13 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-11
- Make logd a noreplace

* Wed Mar 13 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-10
- Add patch to ignore .rpm{new,save} files

* Sun Mar 03 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-9
- Remove automake dependency, build Makefile.in changes into patch

* Sun Mar 03 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-8
- Run automake after patching

* Sun Mar 03 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-7
- Added BuildRequires: automake

* Sun Mar 03 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-6
- Added patch to allow runtime tty changes

* Fri Feb 15 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-5
- Added patch to imply --force on runlevels 0 and 6

* Wed Feb 06 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-4
- Patched for GCC 4.3

* Thu Jan 31 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-3
- Added AUTHORS, COPYING, etc.
- Made config --libdir option relative

* Tue Jan 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.9-3m)
- update Patch0: http://ftp.ines.lug.ro/ubuntu/pool/main/u/upstart/upstart_0.3.9-1.diff.gz

* Tue Jan 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.9-2m)
- update example_version 0.3.9

* Mon Jan 21 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-2
- Remove libnih and libupstart

* Sun Jan 13 2008 Casey Dahlin <cjdahlin@ncsu.edu> - 0.3.9-1
- Initial packaging

* Tue Dec 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.9-1m)
- import from opensuse to Momonga

* Tue Oct 16 2007 mrueckert@suse.de
- update to 0.3.9
- updated to upstart_0.3.8-2.diff.gz
* Fri Mar 23 2007 mrueckert@suse.de
- adjust the example jobs for suse
  (patch by Frank Ruell <fruell@suse.de>)
* Thu Mar 22 2007 mrueckert@suse.de
- synced with upstream patch and new example jobs
* Thu Mar 15 2007 mrueckert@suse.de
- as so many other binaries conflict now with the sysvinit package
  we dont allow both at the same time anymore.
* Mon Mar 12 2007 mrueckert@suse.de
- update to version 0.3.8
* Sat Mar 10 2007 mrueckert@suse.de
- update to 0.3.7
- update to example-jobs-4
* Tue Nov 14 2006 mrueckert@suse.de
- update to version 0.3.0 from http://upstart.ubuntu.com/
- added new example jobs
- rediffed patch to apply cleanly against new version.
* Thu Oct 19 2006 mrueckert@suse.de
- update to patchlevel 7
* Thu Oct  5 2006 mrueckert@suse.de
- update to 0.2.7-4 from ubuntu
* Mon Sep  4 2006 mrueckert@suse.de
- rename init to upstart-init to avoid file conflicts
* Tue Aug 29 2006 mrueckert@suse.de
- Initial package of version 0.1.1
